Irrlicht Engine: irr::SJoystickInfo Struct Reference

Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# irr::SJoystickInfo Struct Reference

Information on a joystick, returned from irr::IrrlichtDevice::activateJoysticks(). More...

`#include <IEventReceiver.h>`

List of all members.

## Public Types
enum | { POV_HAT_PRESENT, POV_HAT_ABSENT, POV_HAT_UNKNOWN }
| An indication of whether the joystick has a POV hat. More...
## Public Attributes
u32 | Axes
| The number of axes that the joystick has, i.e. X, Y, Z, R, U, V.
u32 | Buttons
| The number of buttons that the joystick has.
u8 | Joystick
| The ID of the joystick.
core::stringc | Name
| The name that the joystick uses to identify itself.
enum irr::SJoystickInfo:: { ... } | PovHat
| An indication of whether the joystick has a POV hat.

## Detailed Description

Information on a joystick, returned from irr::IrrlichtDevice::activateJoysticks().

Definition at line 450 of file IEventReceiver.h.

## Member Enumeration Documentation

anonymous enum

An indication of whether the joystick has a POV hat.

A Windows device will identify the presence or absence or the POV hat. A Linux device cannot, and will always return POV_HAT_UNKNOWN.

Enumerator:

  POV_HAT_PRESENT | A hat is definitely present.
  POV_HAT_ABSENT | A hat is definitely not present.
  POV_HAT_UNKNOWN | The presence or absence of a hat cannot be determined.

Definition at line 472 of file IEventReceiver.h.

## Member Data Documentation

u32 irr::SJoystickInfo::Axes

The number of axes that the joystick has, i.e. X, Y, Z, R, U, V.

Note: with a Linux device, the POV hat (if any) will use two axes. These will be included in this count.

Definition at line 467 of file IEventReceiver.h.

u32 irr::SJoystickInfo::Buttons

The number of buttons that the joystick has.

Definition at line 462 of file IEventReceiver.h.

u8 irr::SJoystickInfo::Joystick

The ID of the joystick.

This is an internal Irrlicht index; it does not map directly to any particular hardware joystick. It corresponds to the irr::SJoystickEvent Joystick ID.

Definition at line 456 of file IEventReceiver.h.

core::stringc irr::SJoystickInfo::Name

The name that the joystick uses to identify itself.

Definition at line 459 of file IEventReceiver.h.

enum { ... } irr::SJoystickInfo::PovHat

An indication of whether the joystick has a POV hat.

A Windows device will identify the presence or absence or the POV hat. A Linux device cannot, and will always return POV_HAT_UNKNOWN.

The documentation for this struct was generated from the following file:

- IEventReceiver.h

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Oct 24 12:42:03 2010 by Doxygen (1.6.2)